#include <mpi.h>

int main(int argc, char** argv) {
	// Initialize the MPI environment
	MPI_Init(&argc, &argv);

	// What is my rank (process ID).
	int world_rank;
	MPI_Comm_rank(MPI_COMM_WORLD, &world_rank);

	// How many processes do we have in total?
	int world_size;
	MPI_Comm_size(MPI_COMM_WORLD, &world_size);
	if (world_rank%2 == 0) {
		// If we have even rank, we do something
	} else {
		// If we have odd rank, we do something else
	}

	// Always call at the end
	MPI_Finalize();

	return 0;
}

